''' Dayclass wich represents a day at work '''

from calculation import hoursSpent
from datetime import datetime
from time import sleep


class Day:

    def __init__(self):
        self.begin = 0
        self.end = 0
        self.begin_break = 0
        self.end_break = 0
        self.duration = 0

    def beginDay(self):
        self.begin = datetime.now()

    def make_break(self):
        self.begin_break = datetime.now()

    def go_on(self):
        self.end_break = datetime.now()

    def endDay(self):
        self.end = datetime.now()
        self.duration = hoursSpent(
            self.begin, self.end, self.begin_break, self.end_break)

    def get_begin(self):
        return self.begin
